CallableStatementProxy (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbcx.proxy

## Class CallableStatementProxy

- java.lang.Object
- - net.sourceforge.jtds.jdbcx.proxy.StatementProxy
  - - net.sourceforge.jtds.jdbcx.proxy.PreparedStatementProxy
    - - net.sourceforge.jtds.jdbcx.proxy.CallableStatementProxy

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

      public class CallableStatementProxy
      extends PreparedStatementProxy
      implements java.sql.CallableStatement

  This class would be better implemented as a java.lang.reflect.Proxy. However, this feature was not added until 1.3 and reflection performance was not improved until 1.4. Since the driver still needs to be compatible with 1.2 and 1.3 this class is used to delegate the calls to a callable statement with minimal overhead.
  Version:
    $Id: CallableStatementProxy.java,v 1.3.4.3 2009-12-30 08:45:34 ickzon Exp $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private JtdsCallableStatement` | `_callableStatement`

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallableStatementProxy(ConnectionProxy connection, JtdsCallableStatement callableStatement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeOnCompletion()`
    `java.sql.Array` | `getArray(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Array` | `getArray(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.math.BigDecimal` | `getBigDecimal(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.math.BigDecimal` | `getBigDecimal(int parameterIndex, int scale)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.math.BigDecimal` | `getBigDecimal(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Blob` | `getBlob(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Blob` | `getBlob(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `boolean` | `getBoolean(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `boolean` | `getBoolean(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `byte` | `getByte(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `byte` | `getByte(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `byte[]` | `getBytes(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `byte[]` | `getBytes(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.io.Reader` | `getCharacterStream(int parameterIndex)`
    `java.io.Reader` | `getCharacterStream(java.lang.String parameterName)`
    `java.sql.Clob` | `getClob(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Clob` | `getClob(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Date` | `getDate(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Date` | `getDate(int parameterIndex, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Date` | `getDate(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Date` | `getDate(java.lang.String parameterName, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `double` | `getDouble(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `double` | `getDouble(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `float` | `getFloat(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `float` | `getFloat(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `int` | `getInt(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `int` | `getInt(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `long` | `getLong(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `long` | `getLong(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.io.Reader` | `getNCharacterStream(int parameterIndex)`
    `java.io.Reader` | `getNCharacterStream(java.lang.String parameterName)`
    `java.sql.NClob` | `getNClob(int parameterIndex)`
    `java.sql.NClob` | `getNClob(java.lang.String parameterName)`
    `java.lang.String` | `getNString(int parameterIndex)`
    `java.lang.String` | `getNString(java.lang.String parameterName)`
    `java.lang.Object` | `getObject(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `<T> T` | `getObject(int parameterIndex, java.lang.Class<T> type)`
    `java.lang.Object` | `getObject(int parameterIndex, java.util.Map map)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.lang.Object` | `getObject(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `<T> T` | `getObject(java.lang.String parameterName, java.lang.Class<T> type)`
    `java.lang.Object` | `getObject(java.lang.String parameterName, java.util.Map map)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Ref` | `getRef(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Ref` | `getRef(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.RowId` | `getRowId(int parameterIndex)`
    `java.sql.RowId` | `getRowId(java.lang.String parameterName)`
    `short` | `getShort(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `short` | `getShort(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.SQLXML` | `getSQLXML(int parameterIndex)`
    `java.sql.SQLXML` | `getSQLXML(java.lang.String parameterName)`
    `java.lang.String` | `getString(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.lang.String` | `getString(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Time` | `getTime(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Time` | `getTime(int parameterIndex, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Time` | `getTime(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Time` | `getTime(java.lang.String parameterName, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Timestamp` | `getTimestamp(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Timestamp` | `getTimestamp(int parameterIndex, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Timestamp` | `getTimestamp(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.sql.Timestamp` | `getTimestamp(java.lang.String parameterName, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.net.URL` | `getURL(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.net.URL` | `getURL(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `boolean` | `isClosed()`
    `boolean` | `isCloseOnCompletion()`
    `boolean` | `isPoolable()`
    `boolean` | `isWrapperFor(java.lang.Class arg0)`
    `void` | `registerOutParameter(int parameterIndex, int sqlType)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `registerOutParameter(int parameterIndex, int sqlType, java.lang.String typeName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `registerOutParameter(java.lang.String parameterName, int sqlType)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `registerOutParameter(java.lang.String parameterName, int sqlType, int scale)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `registerOutParameter(java.lang.String parameterName, int sqlType, java.lang.String typeName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream x)`
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, long length)`
    `void` | `setAsciiStream(java.lang.String parameterName, java.io.InputStream x)`
    `void` | `setAsciiStream(java.lang.String parameterName, java.io.InputStream x, int length)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setAsciiStream(java.lang.String parameterName, java.io.InputStream x, long length)`
    `void` | `setBigDecimal(java.lang.String parameterName, java.math.BigDecimal x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream x)`
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, long length)`
    `void` | `setBinaryStream(java.lang.String parameterName, java.io.InputStream x)`
    `void` | `setBinaryStream(java.lang.String parameterName, java.io.InputStream x, int length)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setBinaryStream(java.lang.String parameterName, java.io.InputStream x, long length)`
    `void` | `setBlob(int parameterIndex, java.io.InputStream inputStream)`
    `void` | `setBlob(int parameterIndex, java.io.InputStream inputStream, long length)`
    `void` | `setBlob(java.lang.String parameterName, java.sql.Blob x)`
    `void` | `setBlob(java.lang.String parameterName, java.io.InputStream inputStream)`
    `void` | `setBlob(java.lang.String parameterName, java.io.InputStream inputStream, long length)`
    `void` | `setBoolean(java.lang.String parameterName, boolean x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setByte(java.lang.String parameterName, byte x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setBytes(java.lang.String parameterName, byte[] x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader reader)`
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setCharacterStream(java.lang.String parameterName, java.io.Reader reader)`
    `void` | `setCharacterStream(java.lang.String parameterName, java.io.Reader x, int length)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setCharacterStream(java.lang.String parameterName, java.io.Reader reader, long length)`
    `void` | `setClob(int parameterIndex, java.io.Reader reader)`
    `void` | `setClob(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setClob(java.lang.String parameterName, java.sql.Clob x)`
    `void` | `setClob(java.lang.String parameterName, java.io.Reader reader)`
    `void` | `setClob(java.lang.String parameterName, java.io.Reader reader, long length)`
    `void` | `setDate(java.lang.String parameterName, java.sql.Date x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setDate(java.lang.String parameterName, java.sql.Date x, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setDouble(java.lang.String parameterName, double x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setFloat(java.lang.String parameterName, float x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setInt(java.lang.String parameterName, int x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setLong(java.lang.String parameterName, long x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setNCharacterStream(int parameterIndex, java.io.Reader value)`
    `void` | `setNCharacterStream(int parameterIndex, java.io.Reader value, long length)`
    `void` | `setNCharacterStream(java.lang.String parameterName, java.io.Reader value)`
    `void` | `setNCharacterStream(java.lang.String parameterName, java.io.Reader value, long length)`
    `void` | `setNClob(int parameterIndex, java.sql.NClob value)`
    `void` | `setNClob(int parameterIndex, java.io.Reader reader)`
    `void` | `setNClob(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setNClob(java.lang.String parameterName, java.sql.NClob value)`
    `void` | `setNClob(java.lang.String parameterName, java.io.Reader reader)`
    `void` | `setNClob(java.lang.String parameterName, java.io.Reader reader, long length)`
    `void` | `setNString(int parameterIndex, java.lang.String value)`
    `void` | `setNString(java.lang.String parameterName, java.lang.String value)`
    `void` | `setNull(java.lang.String parameterName, int sqlType)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setNull(java.lang.String parameterName, int sqlType, java.lang.String typeName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setObject(java.lang.String parameterName, java.lang.Object x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType, int scale)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setPoolable(boolean poolable)`
    `void` | `setRowId(int parameterIndex, java.sql.RowId x)`
    `void` | `setRowId(java.lang.String parameterName, java.sql.RowId x)`
    `void` | `setShort(java.lang.String parameterName, short x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setSQLXML(int parameterIndex, java.sql.SQLXML xmlObject)`
    `void` | `setSQLXML(java.lang.String parameterName, java.sql.SQLXML xmlObject)`
    `void` | `setString(java.lang.String parameterName, java.lang.String x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setTime(java.lang.String parameterName, java.sql.Time x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setTime(java.lang.String parameterName, java.sql.Time x, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `void` | `setURL(java.lang.String parameterName, java.net.URL val)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
    `java.lang.Object` | `unwrap(java.lang.Class arg0)`
    `boolean` | `wasNull()` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.

    - ### Methods inherited from class net.sourceforge.jtds.jdbcx.proxy.PreparedStatementProxy

      `addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

    - ### Methods inherited from class net.sourceforge.jtds.jdbcx.proxy.StatementProxy

      `addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, processSQLException, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, validateConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.PreparedStatement

      `addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

    - ### Methods inherited from interface java.sql.Statement

      `addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

- - ### Field Detail

    - #### _callableStatement

          private JtdsCallableStatement _callableStatement

  - ### Constructor Detail

    - #### CallableStatementProxy

          CallableStatementProxy(ConnectionProxy connection,
                                JtdsCallableStatement callableStatement)

  - ### Method Detail

    - #### registerOutParameter

          public void registerOutParameter(int parameterIndex,
                                  int sqlType)
                                    throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### registerOutParameter

          public void registerOutParameter(int parameterIndex,
                                  int sqlType,
                                  int scale)
                                    throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### wasNull

          public boolean wasNull()
                          throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `wasNull` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getString

          public java.lang.String getString(int parameterIndex)
                                     throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getBoolean

          public boolean getBoolean(int parameterIndex)
                             throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getBoolean` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getByte

          public byte getByte(int parameterIndex)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getByte` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getShort

          public short getShort(int parameterIndex)
                         throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getShort` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getInt

          public int getInt(int parameterIndex)
                     throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getInt` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getLong

          public long getLong(int parameterIndex)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getLong` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getFloat

          public float getFloat(int parameterIndex)
                         throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getFloat` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getDouble

          public double getDouble(int parameterIndex)
                           throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getDouble` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getBigDecimal

          public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                           int scale)
                                             throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getBigDecimal` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getBytes

          public byte[] getBytes(int parameterIndex)
                          throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getBytes` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getDate

          public java.sql.Date getDate(int parameterIndex)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getTime

          public java.sql.Time getTime(int parameterIndex)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getTimestamp

          public java.sql.Timestamp getTimestamp(int parameterIndex)
                                          throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getObject

          public java.lang.Object getObject(int parameterIndex)
                                     throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getBigDecimal

          public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                             throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getBigDecimal` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getObject

          public java.lang.Object getObject(int parameterIndex,
                                   java.util.Map map)
                                     throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getRef

          public java.sql.Ref getRef(int parameterIndex)
                              throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getRef` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getBlob

          public java.sql.Blob getBlob(int parameterIndex)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getBlob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getClob

          public java.sql.Clob getClob(int parameterIndex)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getArray

          public java.sql.Array getArray(int parameterIndex)
                                  throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getArray` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getDate

          public java.sql.Date getDate(int parameterIndex,
                              java.util.Calendar cal)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getTime

          public java.sql.Time getTime(int parameterIndex,
                              java.util.Calendar cal)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getTimestamp

          public java.sql.Timestamp getTimestamp(int parameterIndex,
                                        java.util.Calendar cal)
                                          throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### registerOutParameter

          public void registerOutParameter(int parameterIndex,
                                  int sqlType,
                                  java.lang.String typeName)
                                    throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### registerOutParameter

          public void registerOutParameter(java.lang.String parameterName,
                                  int sqlType)
                                    throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### registerOutParameter

          public void registerOutParameter(java.lang.String parameterName,
                                  int sqlType,
                                  int scale)
                                    throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### registerOutParameter

          public void registerOutParameter(java.lang.String parameterName,
                                  int sqlType,
                                  java.lang.String typeName)
                                    throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getURL

          public java.net.URL getURL(int parameterIndex)
                              throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getURL` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setURL

          public void setURL(java.lang.String parameterName,
                    java.net.URL val)
                      throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setURL` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setNull

          public void setNull(java.lang.String parameterName,
                     int sqlType)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setNull` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setBoolean

          public void setBoolean(java.lang.String parameterName,
                        boolean x)
                          throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setBoolean` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setByte

          public void setByte(java.lang.String parameterName,
                     byte x)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setByte` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setShort

          public void setShort(java.lang.String parameterName,
                      short x)
                        throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setShort` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setInt

          public void setInt(java.lang.String parameterName,
                    int x)
                      throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setInt` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setLong

          public void setLong(java.lang.String parameterName,
                     long x)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setLong` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setFloat

          public void setFloat(java.lang.String parameterName,
                      float x)
                        throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setFloat` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setDouble

          public void setDouble(java.lang.String parameterName,
                       double x)
                         throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setDouble` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setBigDecimal

          public void setBigDecimal(java.lang.String parameterName,
                           java.math.BigDecimal x)
                             throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setBigDecimal` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setString

          public void setString(java.lang.String parameterName,
                       java.lang.String x)
                         throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setBytes

          public void setBytes(java.lang.String parameterName,
                      byte[] x)
                        throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setBytes` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setDate

          public void setDate(java.lang.String parameterName,
                     java.sql.Date x)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setTime

          public void setTime(java.lang.String parameterName,
                     java.sql.Time x)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setTimestamp

          public void setTimestamp(java.lang.String parameterName,
                          java.sql.Timestamp x)
                            throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setAsciiStream

          public void setAsciiStream(java.lang.String parameterName,
                            java.io.InputStream x,
                            int length)
                              throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setAsciiStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setBinaryStream

          public void setBinaryStream(java.lang.String parameterName,
                             java.io.InputStream x,
                             int length)
                               throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setBinaryStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setObject

          public void setObject(java.lang.String parameterName,
                       java.lang.Object x,
                       int targetSqlType,
                       int scale)
                         throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setObject

          public void setObject(java.lang.String parameterName,
                       java.lang.Object x,
                       int targetSqlType)
                         throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setObject

          public void setObject(java.lang.String parameterName,
                       java.lang.Object x)
                         throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setCharacterStream

          public void setCharacterStream(java.lang.String parameterName,
                                java.io.Reader x,
                                int length)
                                  throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setDate

          public void setDate(java.lang.String parameterName,
                     java.sql.Date x,
                     java.util.Calendar cal)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setTime

          public void setTime(java.lang.String parameterName,
                     java.sql.Time x,
                     java.util.Calendar cal)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setTimestamp

          public void setTimestamp(java.lang.String parameterName,
                          java.sql.Timestamp x,
                          java.util.Calendar cal)
                            throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setNull

          public void setNull(java.lang.String parameterName,
                     int sqlType,
                     java.lang.String typeName)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setNull` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getString

          public java.lang.String getString(java.lang.String parameterName)
                                     throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getBoolean

          public boolean getBoolean(java.lang.String parameterName)
                             throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getBoolean` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getByte

          public byte getByte(java.lang.String parameterName)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getByte` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getShort

          public short getShort(java.lang.String parameterName)
                         throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getShort` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getInt

          public int getInt(java.lang.String parameterName)
                     throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getInt` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getLong

          public long getLong(java.lang.String parameterName)
                       throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getLong` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getFloat

          public float getFloat(java.lang.String parameterName)
                         throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getFloat` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getDouble

          public double getDouble(java.lang.String parameterName)
                           throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getDouble` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getBytes

          public byte[] getBytes(java.lang.String parameterName)
                          throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getBytes` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getDate

          public java.sql.Date getDate(java.lang.String parameterName)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getTime

          public java.sql.Time getTime(java.lang.String parameterName)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getTimestamp

          public java.sql.Timestamp getTimestamp(java.lang.String parameterName)
                                          throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getObject

          public java.lang.Object getObject(java.lang.String parameterName)
                                     throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getBigDecimal

          public java.math.BigDecimal getBigDecimal(java.lang.String parameterName)
                                             throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getBigDecimal` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getObject

          public java.lang.Object getObject(java.lang.String parameterName,
                                   java.util.Map map)
                                     throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getRef

          public java.sql.Ref getRef(java.lang.String parameterName)
                              throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getRef` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getBlob

          public java.sql.Blob getBlob(java.lang.String parameterName)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getBlob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getClob

          public java.sql.Clob getClob(java.lang.String parameterName)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getArray

          public java.sql.Array getArray(java.lang.String parameterName)
                                  throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getArray` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getDate

          public java.sql.Date getDate(java.lang.String parameterName,
                              java.util.Calendar cal)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getTime

          public java.sql.Time getTime(java.lang.String parameterName,
                              java.util.Calendar cal)
                                throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getTimestamp

          public java.sql.Timestamp getTimestamp(java.lang.String parameterName,
                                        java.util.Calendar cal)
                                          throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getURL

          public java.net.URL getURL(java.lang.String parameterName)
                              throws java.sql.SQLException

      Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getURL` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getCharacterStream

          public java.io.Reader getCharacterStream(int parameterIndex)
                                            throws java.sql.SQLException

      Specified by:
        `getCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getCharacterStream

          public java.io.Reader getCharacterStream(java.lang.String parameterName)
                                            throws java.sql.SQLException

      Specified by:
        `getCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNCharacterStream

          public java.io.Reader getNCharacterStream(int parameterIndex)
                                             throws java.sql.SQLException

      Specified by:
        `getNCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNCharacterStream

          public java.io.Reader getNCharacterStream(java.lang.String parameterName)
                                             throws java.sql.SQLException

      Specified by:
        `getNCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNClob

          public java.sql.NClob getNClob(int parameterIndex)
                                  throws java.sql.SQLException

      Specified by:
        `getNClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNClob

          public java.sql.NClob getNClob(java.lang.String parameterName)
                                  throws java.sql.SQLException

      Specified by:
        `getNClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNString

          public java.lang.String getNString(int parameterIndex)
                                      throws java.sql.SQLException

      Specified by:
        `getNString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNString

          public java.lang.String getNString(java.lang.String parameterName)
                                      throws java.sql.SQLException

      Specified by:
        `getNString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getRowId

          public java.sql.RowId getRowId(int parameterIndex)
                                  throws java.sql.SQLException

      Specified by:
        `getRowId` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getRowId

          public java.sql.RowId getRowId(java.lang.String parameterName)
                                  throws java.sql.SQLException

      Specified by:
        `getRowId` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getSQLXML

          public java.sql.SQLXML getSQLXML(int parameterIndex)
                                    throws java.sql.SQLException

      Specified by:
        `getSQLXML` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getSQLXML

          public java.sql.SQLXML getSQLXML(java.lang.String parameterName)
                                    throws java.sql.SQLException

      Specified by:
        `getSQLXML` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream(java.lang.String parameterName,
                            java.io.InputStream x)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream(java.lang.String parameterName,
                            java.io.InputStream x,
                            long length)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(java.lang.String parameterName,
                             java.io.InputStream x)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(java.lang.String parameterName,
                             java.io.InputStream x,
                             long length)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(java.lang.String parameterName,
                     java.sql.Blob x)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(java.lang.String parameterName,
                     java.io.InputStream inputStream)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(java.lang.String parameterName,
                     java.io.InputStream inputStream,
                     long length)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(java.lang.String parameterName,
                                java.io.Reader reader)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(java.lang.String parameterName,
                                java.io.Reader reader,
                                long length)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(java.lang.String parameterName,
                     java.sql.Clob x)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(java.lang.String parameterName,
                     java.io.Reader reader)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(java.lang.String parameterName,
                     java.io.Reader reader,
                     long length)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream(java.lang.String parameterName,
                                 java.io.Reader value)
                                   throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream(java.lang.String parameterName,
                                 java.io.Reader value,
                                 long length)
                                   throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(java.lang.String parameterName,
                      java.sql.NClob value)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(java.lang.String parameterName,
                      java.io.Reader reader)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(java.lang.String parameterName,
                      java.io.Reader reader,
                      long length)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNString

          public void setNString(java.lang.String parameterName,
                        java.lang.String value)
                          throws java.sql.SQLException

      Specified by:
        `setNString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setRowId

          public void setRowId(java.lang.String parameterName,
                      java.sql.RowId x)
                        throws java.sql.SQLException

      Specified by:
        `setRowId` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setSQLXML

          public void setSQLXML(java.lang.String parameterName,
                       java.sql.SQLXML xmlObject)
                         throws java.sql.SQLException

      Specified by:
        `setSQLXML` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream(int parameterIndex,
                            java.io.InputStream x)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Overrides:
        `setAsciiStream` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream(int parameterIndex,
                            java.io.InputStream x,
                            long length)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Overrides:
        `setAsciiStream` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                             java.io.InputStream x)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Overrides:
        `setBinaryStream` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                             java.io.InputStream x,
                             long length)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Overrides:
        `setBinaryStream` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(int parameterIndex,
                     java.io.InputStream inputStream)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Overrides:
        `setBlob` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(int parameterIndex,
                     java.io.InputStream inputStream,
                     long length)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Overrides:
        `setBlob` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                java.io.Reader reader)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Overrides:
        `setCharacterStream` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                java.io.Reader reader,
                                long length)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Overrides:
        `setCharacterStream` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(int parameterIndex,
                     java.io.Reader reader)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Overrides:
        `setClob` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(int parameterIndex,
                     java.io.Reader reader,
                     long length)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Overrides:
        `setClob` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream(int parameterIndex,
                                 java.io.Reader value)
                                   throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Overrides:
        `setNCharacterStream` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream(int parameterIndex,
                                 java.io.Reader value,
                                 long length)
                                   throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Overrides:
        `setNCharacterStream` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                      java.sql.NClob value)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Overrides:
        `setNClob` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                      java.io.Reader reader)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Overrides:
        `setNClob` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                      java.io.Reader reader,
                      long length)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Overrides:
        `setNClob` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setNString

          public void setNString(int parameterIndex,
                        java.lang.String value)
                          throws java.sql.SQLException

      Specified by:
        `setNString` in interface `java.sql.PreparedStatement`
      Overrides:
        `setNString` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setRowId

          public void setRowId(int parameterIndex,
                      java.sql.RowId x)
                        throws java.sql.SQLException

      Specified by:
        `setRowId` in interface `java.sql.PreparedStatement`
      Overrides:
        `setRowId` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setSQLXML

          public void setSQLXML(int parameterIndex,
                       java.sql.SQLXML xmlObject)
                         throws java.sql.SQLException

      Specified by:
        `setSQLXML` in interface `java.sql.PreparedStatement`
      Overrides:
        `setSQLXML` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### isClosed

          public boolean isClosed()
                           throws java.sql.SQLException

      Specified by:
        `isClosed` in interface `java.sql.Statement`
      Overrides:
        `isClosed` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### isPoolable

          public boolean isPoolable()
                             throws java.sql.SQLException

      Specified by:
        `isPoolable` in interface `java.sql.Statement`
      Overrides:
        `isPoolable` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setPoolable

          public void setPoolable(boolean poolable)
                           throws java.sql.SQLException

      Specified by:
        `setPoolable` in interface `java.sql.Statement`
      Overrides:
        `setPoolable` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### isWrapperFor

          public boolean isWrapperFor(java.lang.Class arg0)
                               throws java.sql.SQLException

      Specified by:
        `isWrapperFor` in interface `java.sql.Wrapper`
      Overrides:
        `isWrapperFor` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### unwrap

          public java.lang.Object unwrap(java.lang.Class arg0)
                                  throws java.sql.SQLException

      Specified by:
        `unwrap` in interface `java.sql.Wrapper`
      Overrides:
        `unwrap` in class `PreparedStatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### closeOnCompletion

          public void closeOnCompletion()
                                 throws java.sql.SQLException

      Specified by:
        `closeOnCompletion` in interface `java.sql.Statement`
      Overrides:
        `closeOnCompletion` in class `StatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### isCloseOnCompletion

          public boolean isCloseOnCompletion()
                                      throws java.sql.SQLException

      Specified by:
        `isCloseOnCompletion` in interface `java.sql.Statement`
      Overrides:
        `isCloseOnCompletion` in class `StatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public <T> T getObject(int parameterIndex,
                        java.lang.Class<T> type)
                      throws java.sql.SQLException

      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public <T> T getObject(java.lang.String parameterName,
                        java.lang.Class<T> type)
                      throws java.sql.SQLException

      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

Generated on June 8 2013